## NMSettingVeth NMSettingVeth — Describes connection properties for veth interfaces |

## Functions

NMSetting * | nm_setting_veth_new ()
const char * | nm_setting_veth_get_peer ()

## Types and Values

#define | NM_SETTING_VETH_SETTING_NAME
#define | NM_SETTING_VETH_PEER

## Description

The NMSettingVeth object is a NMSetting subclass that describes properties necessary for connection to veth interfaces.

## Functions

### nm_setting_veth_new ()

    NMSetting *
    nm_setting_veth_new (void);

Creates a new NMSettingVeth object with default values.

#### Returns

the new empty NMSettingVeth object.

[transfer full]

Since: 1.30

### nm_setting_veth_get_peer ()

    const char *
    nm_setting_veth_get_peer (NMSettingVeth *setting);

#### Parameters

setting | the NMSettingVeth |

#### Returns

the “peer” property of the setting

Since: 1.30

## Types and Values

### NM_SETTING_VETH_SETTING_NAME

    #define NM_SETTING_VETH_SETTING_NAME "veth"

### NM_SETTING_VETH_PEER

    #define NM_SETTING_VETH_PEER "peer"